# Get

Launch stage: GA

`GET /api/2.0/dbfs/get-status`

Gets the file information for a file or directory.
 If the file or directory does not exist, this call throws an exception with `RESOURCE_DOES_NOT_EXIST`.

API scopes: files

## Query parameters

- `path` (string, optional)
  The path of the file or directory. The path should be the absolute DBFS path.
  Example: `/mnt/foo`

## Returns

- `path` (string, optional)
  The absolute path of the file or directory.
- `is_dir` (boolean, optional)
  True if the path is a directory.
- `file_size` (int64, optional)
  The length of the file in bytes. Set to 0 for directories.
- `modification_time` (int64, optional)
  Last modification time of given file in milliseconds since epoch.

## Response

```json
{
  "path": "string",
  "is_dir": true,
  "file_size": 0,
  "modification_time": 0
}
```

